<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  mod_vmpanel
 * @copyright   Copyright (c) 2019 Stefan Schumacher, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @version     3.6.2.2
 */
defined('_JEXEC') or die;
$document = JFactory::getDocument();
use Joomla\CMS\Helper\ModuleHelper;
use Joomla\Module\Vmpanel\Administrator\Helper\VmpanelHelper;
use Joomla\CMS\Language\Text;
$app  = \JFactory::getApplication();
$lang = $app->getLanguage();
$root = JUri::root();

$orders_button_title = Text::_('MOD_VMPANEL_ORDERS');
$orders_button_url = 'index.php?option=com_virtuemart&view=orders';
$products_button_title = Text::_('MOD_VMPANEL_PRODUCTS');
$products_button_url = 'index.php?option=com_virtuemart&view=product';
$user_button_title = Text::_('MOD_VMPANEL_USER');
$user_button_url = 'index.php?option=com_virtuemart&view=user';
$report_button_title = Text::_('MOD_VMPANEL_REPORT');
$report_button_url = 'index.php?option=com_virtuemart&view=report';
$config_button_title = Text::_('MOD_VMPANEL_CONFIG');
$config_button_url = 'index.php?option=com_virtuemart&view=config';
$cpanel_button_title = Text::_('MOD_VMPANEL_CONTROL');
$cpanel_button_url = 'index.php?option=com_virtuemart&view=virtuemart';

$sm = '';
if ($params->get('sm')) {
    $sm = ' small';
}

$cssurl = JUri::root() . 'media/mod_vmpanel/css/vmpanel.css';
JHtml::_('stylesheet', $cssurl);
?>
<div class="vmpanel vmpanel_quick <?php echo $sm; ?>">
    <?php if ($params->get('orders')) { ?>
    <div class="vmpanel-frame">
        <a href="<?php echo $orders_button_url; ?>">
            <div class="icon_title"><?php echo Text::_('MOD_VMPANEL_ORDERS'); ?></div>
            <div class="icon"><i class="icon-list"></i></div>
        </a>
    </div>
    <?php } ?>

    <?php if ($params->get('product')) { ?>
    <div class="vmpanel-frame">
        <a href="<?php echo $products_button_url; ?>">
            <div class="icon_title"><?php echo Text::_('MOD_VMPANEL_PRODUCTS'); ?></div>
            <div class="icon"><i class="icon-tags"></i></div>
        </a>
    </div>
    <?php } ?>

    <?php if ($params->get('user')) { ?>
    <div class="vmpanel-frame">
        <a href="<?php echo $user_button_url; ?>">
            <div class="icon_title"><?php echo Text::_('MOD_VMPANEL_USER'); ?></div>
            <div class="icon"><i class="icon-user"></i></div>
        </a>
    </div>
    <?php } ?>

    <?php if ($params->get('report')) { ?>
    <div class="vmpanel-frame">
        <a href="<?php echo $report_button_url; ?>">
            <div class="icon_title"><?php echo Text::_('MOD_VMPANEL_REPORT'); ?></div>
            <div class="icon"><i class="icon-dashboard"></i></div>
        </a>
    </div>
    <?php } ?>

    <?php if ($params->get('config')) { ?>
    <div class="vmpanel-frame">
        <a href="<?php echo $config_button_url; ?>">
            <div class="icon_title"><?php echo Text::_('MOD_VMPANEL_CONFIG'); ?></div>
            <div class="icon"><i class="icon-cog"></i></div>
        </a>
    </div>
    <?php } ?>

    <?php if ($params->get('control')) { ?>
    <div class="vmpanel-frame">
        <a href="<?php echo $cpanel_button_url; ?>">
            <div class="icon_title"><?php echo Text::_('MOD_VMPANEL_CONTROL'); ?></div>
            <div class="icon"><i class="icon-briefcase"></i></div>
        </a>
    </div>
    <?php } ?>
</div>